summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Miguel De Anda <miguel@thedeanda.com>2014-11-19 01:06:13 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-11-19 01:06:13 +0700
commitc80ef72a82c26f83e9ea4156100db6ebc832437d (patch)
tree6fa6ca76ed7456e56ae0c71e51479c27062983fd /development
parentc179cf805dd9ed0255c219f96ee321032551751b (diff)
downloadslackbuilds-c80ef72a82c26f83e9ea4156100db6ebc832437d.tar.gz
slackbuilds-c80ef72a82c26f83e9ea4156100db6ebc832437d.tar.xz
development/smartgit: Added (Desktop Git Client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/smartgit/README1
-rw-r--r--development/smartgit/doinst.sh3
-rw-r--r--development/smartgit/slack-desc19
-rw-r--r--development/smartgit/smartgit.SlackBuild74
-rw-r--r--development/smartgit/smartgit.desktop13
-rw-r--r--development/smartgit/smartgit.info10
6 files changed, 120 insertions, 0 deletions
diff --git a/development/smartgit/README b/development/smartgit/README
new file mode 100644
index 0000000000..40d33766cd
--- /dev/null
+++ b/development/smartgit/README
@@ -0,0 +1 @@
+SmartGit is a commercial desktop git client that provides a free non-commercial use license.
diff --git a/development/smartgit/doinst.sh b/development/smartgit/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/smartgit/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/smartgit/slack-desc b/development/smartgit/slack-desc
new file mode 100644
index 0000000000..eb68e01df1
--- /dev/null
+++ b/development/smartgit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+smartgit: smartgit (Desktop Git Client)
+smartgit:
+smartgit: SmartGit is a commercial desktop git client that provides
+smartgit: a free non-commercial use license.
+smartgit:
+smartgit: Homepage: http://www.syntevo.com/smartgit/
+smartgit:
+smartgit:
+smartgit:
+smartgit:
+smartgit:
diff --git a/development/smartgit/smartgit.SlackBuild b/development/smartgit/smartgit.SlackBuild
new file mode 100644
index 0000000000..dc54b241c3
--- /dev/null
+++ b/development/smartgit/smartgit.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware Package Build Script for SmartGit
+# Copyright 2014 Miguel De Anda
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="smartgit"
+VERSION=${VERSION:-6.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+#they use _ instead of periods...
+FILE_VERSION=${VERSION//./_}
+
+set -e
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-generic-$FILE_VERSION.tar.gz
+cd $PRGNAM
+chown -R root.root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -R changelog.txt known-issues.txt readme-linux.txt smartgit.url license.html licenses $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -R lib bin $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/share/pixmaps
+cp bin/$PRGNAM-128.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+mkdir -p $PKG/usr/bin
+cd $PKG/usr/bin
+ln -s ../share/$PRGNAM/bin/$PRGNAM.sh $PRGNAM
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/smartgit/smartgit.desktop b/development/smartgit/smartgit.desktop
new file mode 100644
index 0000000000..cefa3683b9
--- /dev/null
+++ b/development/smartgit/smartgit.desktop
@@ -0,0 +1,13 @@
+[Desktop Entry]
+Version=1.0
+Encoding=UTF-8
+Name=SmartGit 6.5.0
+Keywords=git;hg;svn;mercurial;subversion
+GenericName=Git&Hg-Client + SVN-support
+Type=Application
+Categories=Development;RevisionControl
+Terminal=false
+StartupNotify=true
+Exec="/usr/share/smartgit/bin/smartgit.sh" %u
+MimeType=x-scheme-handler/smartgit
+Icon=smartgit
diff --git a/development/smartgit/smartgit.info b/development/smartgit/smartgit.info
new file mode 100644
index 0000000000..39e40bdea9
--- /dev/null
+++ b/development/smartgit/smartgit.info
@@ -0,0 +1,10 @@
+PRGNAM="smartgit"
+VERSION="6.5.0"
+HOMEPAGE="http://www.syntevo.com/smartgit/"
+DOWNLOAD="http://www.syntevo.com/download/smartgit/smartgit-generic-6_5_0.tar.gz"
+MD5SUM="447435eae545b0cd26ebe7975bebb14e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Miguel De Anda"
+EMAIL="miguel@thedeanda.com"